﻿using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace IRaCIS.Core.Infra.EFCore.Migrations
{
    /// <inheritdoc />
    public partial class PACSModify : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "Modality",
                table: "DicomAE");

            migrationBuilder.AddColumn<string>(
                name: "ModalityList",
                table: "DicomAE",
                type: "nvarchar(max)",
                nullable: false,
                defaultValue: "[]");

            migrationBuilder.AddColumn<int>(
                name: "PacsSearchMaxDays",
                table: "DicomAE",
                type: "int",
                nullable: false,
                defaultValue: 0);
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "ModalityList",
                table: "DicomAE");

            migrationBuilder.DropColumn(
                name: "PacsSearchMaxDays",
                table: "DicomAE");

            migrationBuilder.AddColumn<string>(
                name: "Modality",
                table: "DicomAE",
                type: "nvarchar(400)",
                maxLength: 400,
                nullable: false,
                defaultValue: "");
        }
    }
}
